aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.CreateAccessKey

Synopsis

- data CreateAccessKey = CreateAccessKey (Maybe Text)
- data CreateAccessKeyResponse = CreateAccessKeyResponse AccessKey
- data AccessKey = AccessKey {
  - akAccessKeyId :: Text
  - akCreateDate :: Maybe UTCTime
  - akSecretAccessKey :: Text
  - akStatus :: AccessKeyStatus
  - akUserName :: Text
  }

# Documentation

data CreateAccessKey #

Creates a new AWS secret access key and corresponding AWS access key ID for the given user name.

If a user name is not provided, IAM will determine the user name based on the access key signing the request.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateAccessKey.html

Constructors

CreateAccessKey (Maybe Text) |

#### Instances

Instances details

SignQuery CreateAccessKey # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type ServiceConfiguration CreateAccessKey |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ServiceConfiguration CreateAccessKey = IamConfiguration

Methods

signQuery :: CreateAccessKey -> ServiceConfiguration CreateAccessKey queryType -> SignatureData -> SignedQuery #

Show CreateAccessKey # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods showsPrec :: Int -> CreateAccessKey -> ShowS # show :: CreateAccessKey -> String # showList :: [CreateAccessKey] -> ShowS #
Eq CreateAccessKey # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods (==) :: CreateAccessKey -> CreateAccessKey -> Bool # (/=) :: CreateAccessKey -> CreateAccessKey -> Bool #
Ord CreateAccessKey # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Methods

compare :: CreateAccessKey -> CreateAccessKey -> Ordering #

(<) :: CreateAccessKey -> CreateAccessKey -> Bool #

(<=) :: CreateAccessKey -> CreateAccessKey -> Bool #

(>) :: CreateAccessKey -> CreateAccessKey -> Bool #

(>=) :: CreateAccessKey -> CreateAccessKey -> Bool #

max :: CreateAccessKey -> CreateAccessKey -> CreateAccessKey #

min :: CreateAccessKey -> CreateAccessKey -> CreateAccessKey #

ResponseConsumer CreateAccessKey CreateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type ResponseMetadata CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ResponseMetadata CreateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateAccessKey -> IORef (ResponseMetadata CreateAccessKeyResponse) -> HTTPResponseConsumer CreateAccessKeyResponse #

Transaction CreateAccessKey CreateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey
type ServiceConfiguration CreateAccessKey # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ServiceConfiguration CreateAccessKey = IamConfiguration

data CreateAccessKeyResponse #

Constructors

CreateAccessKeyResponse AccessKey |

#### Instances

Instances details

AsMemoryResponse CreateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type MemoryResponse CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type MemoryResponse CreateAccessKeyResponse = CreateAccessKeyResponse

Methods

loadToMemory :: CreateAccessKeyResponse -> ResourceT IO (MemoryResponse CreateAccessKeyResponse) #

Show CreateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods showsPrec :: Int -> CreateAccessKeyResponse -> ShowS # show :: CreateAccessKeyResponse -> String # showList :: [CreateAccessKeyResponse] -> ShowS #
Eq CreateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods (==) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool # (/=) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool #
Ord CreateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Methods

compare :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Ordering #

(<) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool #

(<=) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool #

(>) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool #

(>=) :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> Bool #

max :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> CreateAccessKeyResponse #

min :: CreateAccessKeyResponse -> CreateAccessKeyResponse -> CreateAccessKeyResponse #

ResponseConsumer CreateAccessKey CreateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type ResponseMetadata CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ResponseMetadata CreateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateAccessKey -> IORef (ResponseMetadata CreateAccessKeyResponse) -> HTTPResponseConsumer CreateAccessKeyResponse #

Transaction CreateAccessKey CreateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey
type MemoryResponse CreateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type MemoryResponse CreateAccessKeyResponse = CreateAccessKeyResponse
type ResponseMetadata CreateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ResponseMetadata CreateAccessKeyResponse = IamMetadata

data AccessKey #

Represents the IAM `AccessKey` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_AccessKey.html

Constructors

AccessKey |

Fields

- akAccessKeyId :: Text

  The Access Key ID.

- akCreateDate :: Maybe UTCTime

  Date and time at which the access key was created.

- akSecretAccessKey :: Text

  Secret key used to sign requests. The secret key is accessible only during key creation.

- akStatus :: AccessKeyStatus

  Whether the access key is active or not.

- akUserName :: Text

  The user name for which this key is defined.

#### Instances

Instances details

Show AccessKey # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods showsPrec :: Int -> AccessKey -> ShowS # show :: AccessKey -> String # showList :: [AccessKey] -> ShowS #
Eq AccessKey # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods (==) :: AccessKey -> AccessKey -> Bool # (/=) :: AccessKey -> AccessKey -> Bool #
Ord AccessKey # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey Methods compare :: AccessKey -> AccessKey -> Ordering # (<) :: AccessKey -> AccessKey -> Bool # (<=) :: AccessKey -> AccessKey -> Bool # (>) :: AccessKey -> AccessKey -> Bool # (>=) :: AccessKey -> AccessKey -> Bool # max :: AccessKey -> AccessKey -> AccessKey # min :: AccessKey -> AccessKey -> AccessKey #